Saltar al contenido principal
POST
/
call
cURL
curl --request POST \
  --url https://api.meetzy.io/call \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "phone": "<string>",
  "playbook_id": "<string>",
  "version_id": "<string>",
  "voice_id": "<string>",
  "voice_model": "<string>",
  "language": "<string>",
  "interrupt": true,
  "<custom_param_1>": "<string>",
  "<custom_param_2>": "<string>",
  "<custom_param_N>": "<string>"
}
'
{
  "id": "<string>",
  "success": true,
  "message": "<string>"
}

Descripción General

Este endpoint inicia una llamada saliente usando un playbook pre-entrenado. La llamada se realizará usando tu número de teléfono configurado y la IA seguirá las instrucciones del playbook.

Control de Versiones

Por defecto, este endpoint usa la versión de producción de tu playbook. Esto asegura que todas las llamadas API usen la misma configuración que has designado como lista para producción en el dashboard.
Opcionalmente puedes especificar un parámetro version_id para usar una versión específica de tu playbook. Esto es útil para probar nuevas versiones antes de marcarlas como producción. Ver Versionado de Agentes para más detalles.

Comportamiento por Defecto

Cuando llamas a este endpoint sin un version_id:
  1. El sistema busca la versión de producción del playbook
  2. Si la encuentra, usa la configuración de esa versión (prompt, voz, ajustes, etc.)
  3. Si no existen versiones, usa la configuración actual del playbook

Usar una Versión Específica

{
  "phone": "+34600000000",
  "playbook_id": "your-playbook-id",
  "version_id": "optional-version-uuid"
}

Respuesta

Una respuesta exitosa incluye el ID de llamada que puedes usar para rastrear el estado:
{
  "success": true,
  "id": "call-uuid",
  "message": "Call processing started"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Cuerpo

application/json

Params to execute the call

phone
string
requerido

The phone to call with country prefix (e.g. +34600000000).

playbook_id
string
requerido

The id of the playbook you want to use to make the call. You can get the list of playbooks using your dashboard (/playbook endpoint will be available soon).

version_id
string

Optional. The ID of a specific playbook version to use for this call. If not provided, the system will automatically use the version marked as 'production'. This allows you to test specific versions or use historical configurations.

voice_id
string

The number of the voice to use (values: 1, 2, 3, 4, 5, 6, 7) - Default 6.

voice_model
string

Choose from our speech models: - 'fast' (less latency, nice voices) or 'human' (our natural sounding voices - (beta)) - Default model: 'human'

language
string

The language used by Flark during the call (values: ES, EN, FR, DE, IT, PT, ...) - Default ES.

interrupt
boolean

If the user can interrupt to the IA during the call - Default false.

<custom_param_1>
string

A custom param like email, firstname, lastname, email, program_of_insterest, etc. Flark will use this param to personalize the call.

<custom_param_2>
string

A custom param like email, firstname, lastname, email, program_of_insterest, etc. Flark will use this param to personalize the call.

<custom_param_N>
string

You can add as many custom params as you want. Flark will use this param to personalize the call.

Respuesta

Call response

id
string

The id of a the call

success
boolean

If the call started successfully or not

message
string

The message explaining the result of the call initiation